#
# step0.rb
#   $Id: step0.rb,v 1.1 2000/11/18 18:57:43 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math

NMAX = 400
dt = 2*PI/(NMAX-1)

x = NArray.sfloat(NMAX)
y = NArray.sfloat(NMAX)

for n in 0..NMAX-1
  t = dt*n
  x[n] = 1e2*sin(4*t)
  y[n] = 1e-3*cos(5*t)+6
end

iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

ussttl('X-TITLE', 'x-unit', 'Y-TITLE', 'y-unit')
usspnt(NMAX, x, y)
uspfit
grstrf
usdaxs
uulin(NMAX, x, y)

grcls

